import { baseUrl } from "./config.js";
import { getHttp, postHttp } from "./request.js";
import { Reports } from "./modules/Reports";
import { activity } from "./modules/activity";
import { Home } from "./modules/Home";
import { User } from "./modules/User";
import { Report } from "./modules/ReportArticle";
import { Research } from "./modules/Research";
import { MsgTemplate } from "./modules/Msg";

export { Reports, activity, Home, User, Report, Research, MsgTemplate };

/* 上传 */
export const uploadurl = baseUrl + "/resource/image/upload";
// 校验token接口
export const checkToken = (params) => {
  return getHttp("/user/check/status", params, 0);
};

/* 个人中心 */
export const Mine = {
  /* 我的收藏列表 PageSize CurrentIndex  */
  getCollect: (params) => {
    return getHttp("/user/collect/list", params);
  },
  /* 用户信息 */
  getInfo: (params) => {
    return getHttp("/user/detail", params, 0);
  },
  /* 获取访谈列表 PageSize CurrentIndex*/
  getInterview: (params) => {
    return getHttp("/user/interview/apply/list", params);
  },
  /* 获取浏览历史 */
  getHistory: (params) => {
    return getHttp("/user/browse/history/list", params);
  },
  /* 优化建议 */
  advice: (params) => {
    return postHttp("/advice/add", params);
  },
  /* 活动扫码签到 */
  activity_signin_detail: (params) => {
    return getHttp("/activity_signin/detail", params);
  },
  /* 活动扫码手动签到 */
  activity_signin_byHand: (params) => {
    return postHttp("/activity_signin/byHand", params);
  },
  /* 关于我们浏览记录 */
  addHistory: (params) => {
    return postHttp("/config/aboutUs/addHistory", params);
  },
  /* 上传文章阅读时间 */
  report_selectionAddStopTime: (params) => {
    return postHttp("/report_selection/addStopTime", params);
  },
  
};
/* 搜索 */
export const Search = {
  /* 获取搜索推荐词 */
  getKeys: (params) => {
    return getHttp("/config/detail", params, 0);
  },
  /* 搜索  KeyWord */
  getResult: (params) => {
    return getHttp("/search/list", params, 0);
  },
  /* 报告搜索  KeyWord */
  getResultReport: (params) => {
    return getHttp("/search/report/list", params, 0);
  },
  /* 报告 KeyWord 素材库*/
  getArtAndChartList: (params) => {
    return getHttp("/search/artAndChart/listPage", params, 0);
  },
};
/* 图标 */
export const Chart = {
  /*图表标签分类接口*/
  getChartPatg: (params) => {
    return getHttp("/chart/patg", params);
  },
  /*我的收藏接口*/
  getChartcollection: (params) => {
    return getHttp("/chart/my/collection", params);
  },
  /*删除我的收藏接口*/
  myChartCollect: (params) => {
    return postHttp("/chart/collect", params);
  },
  /*图表的详情*/
  myChartDetail: (params) => {
    return getHttp("/chart/detail", params);
  },
  /*图表的详情*/
  myChartTop: (params) => {
    return postHttp("/chart/top", params);
  },
};

/* 免费送月卡 */
export const FreeButton = {
  /*获取是否展示免费试用按钮接口*/
  userIsShowFreeButton: (params) => {
    return getHttp("/user/isShow/freeButton", params, 0);
  },
  /* 隐藏当天的按钮接口 */
  userFreeButtonUpdate: (params) => {
    return postHttp("/user/freeButton/update", params, 0);
  },
  /*分享的时候判断是不是弘则的手机号*/
  userIsShowShare: (params) => {
    return getHttp("/user/isShow/share", params, 0);
  },
  /*获取权限弹窗是否展示免费月卡接口*/
  userIsShowAlert: (params) => {
    return getHttp("/user/isShow/alert", params, 0);
  },
  /*获取权限弹窗是否展示免费月卡接口*/
  wechatShareImage: (params) => {
    return postHttp("/wechat/shareImage", params, 0);
  },
};
