import { getHttp, postHttp } from "../request.js";

/* 报告  */
export const Reports = {
  /* 获取报告一级分类 */
  getClassify: (params) => {
    return getHttp("/permission/reportallV7", params, 0);
  },
  /* 获取策略的分类 */
  getstrategyAll: (params) => {
    return getHttp("/permission/strategyAll", params);
  },
  /* 获取策略的文章 */
  getTacticsList: (params) => {
    return getHttp("/tactics/list", params);
  },
  /* 获取产业报告分类列表接口*/
  getTradeList: (params) => {
    return getHttp("/report/home/tradeList", params);
  },
  /* 报告搜索接口*/
  getReportSearchReport: (params) => {
    return getHttp("/report/searchReport", params, 0);
  },

  /* 获取产业报告分类列表接口*/
  getIndustryList: (params) => {
    return getHttp("/report/home/industryList", params);
  },
  /* 获取产业文章列表接口*/
  getIndustryAndArticle: (params) => {
    return getHttp("/report/searchResource", params, 0);
  },
  /* 是否置顶*/
  postToptt: (params) => {
    return postHttp("/report/top", params, 0);
  },
  /* 是否置顶*/
  reportFllow: (params) => {
    return postHttp("/report/fllow", params, 0);
  },
  /* 是否置顶*/
  industryListByDepartment: (params) => {
    return getHttp("/report/industryListByDepartment", params, 0);
  },
  /* 获取产业文章列表接口*/
  industryReportList: (params) => {
    return getHttp("/report/industry/reportList", params);
  },
  /* 关注作者/取消关注作者 接口*/
  reportFllowDepartment: (params) => {
    return postHttp("/report/fllowDepartment", params, 0);
  },
  /* 获取策略列表接口*/
  getTactics: (params) => {
    return getHttp("/tactics/list", params);
  },
  /* 产业下所关联的文章分类列表接口*/
  toArticleCategoryList: (params) => {
    return getHttp("/report/toArticleCategoryList", params);
  }, //
  /* 产业下所关联的文章分类列表接口*/
  getArticleList: (params) => {
    return getHttp("/report/industry/ArticleList", params);
  },
  /*上传文章阅读时间接口*/
  addStopTime: (params) => {
    return postHttp("/article/addStopTime", params, 0);
  },
  /* 获取研选最新主题关键词文章列表接口*/
  reportListNew: (params) => {
    return getHttp("/report/industry/reportListNew", params);
  },
  /* 获取是否展示绝密内参接口*/
  reportIsShow: (params) => {
    return getHttp("/report/isShow", params,0);
  },
  /* 获取报告精选、本周研究汇总、上周纪要汇总列表接口*/
  reportListByType: (params) => {
    return getHttp("/report/reportList/byType", params);
  },
  /* 获取报告精选详情接口*/
  reportSelectionDetail: (params) => {
    return getHttp("/report_selection/detail", params);
  },
  /* 获取本周研究汇总详情接口*/
  researchSummaryDetail: (params) => {
    return getHttp("/report/researchSummary/detail", params);
  },
  /* 获取上周研究汇总详情接口*/
  minutesSummaryDetail: (params) => {
    return getHttp("/report/minutesSummary/detailv4", params);
  },
  /* 获取报告详情接口 /  路演精华*/
  roadshowEssence: (params) => {
    return getHttp("/report/roadshowEssence/detail", params);
  },
  /* 报告榜单table栏*/
  getHotTableList: (params) => {
    return getHttp("/report_billboard/table/list", params);
  },
  /* 获取产业关注榜接口*/
  getIndustryFllowList: (params) => {
    return getHttp("/report_billboard/industry/fllowList", params);
  },
  /* 获取阅读飙升榜/报告收藏榜接口 */
  getIndustryReadList: (params) => {
    return getHttp("/report_billboard/industry/readList", params);
  },
  /* 产业报告公司列表 */
  getHomeStockName: (params) => {
    return getHttp("/report/home/stockName", params);
  },
  /* 季度关注 */
  getChartQuarter: (params) => {
    return getHttp("/chart/jidu", params);
  },
  /* 新增音频放记录 报告 */
  reportVoiceHistoryAdd: (params) => {
    return postHttp("/report/voiceHistory/add", params);
  },
  /* 时间线列表 */
  getTacticsTimeLine: (params) => {
    return getHttp("/tactics/tacticsTimeLine/list", params);
  },
  /* 时间线列表点击 */
  postTacticsHistory: (params) => {
    return postHttp("/tactics/tacticsTimeLine/history", params, 0);
  },
  /* 标的点击记录 报告精选 */
  reportClickHistory: (params) => {
    return postHttp("/report_selection/click/history", params, 0);
  },
  /* 产品内测 列表 */
  getProductInteriorList: (params) => {
    return getHttp("/product_interior/list", params, 0);
  },
  /* 产品内测 详情 */
  getProductInteriorDetail: (params) => {
    return getHttp("/product_interior/detail", params, 0);
  },
  /* 晨会精华汇总列表 */
  getMorningMeetingList: (params) => {
    return getHttp("/morning_meeting/gather/list", params, 0);
  },
  /* 晨会精华汇总详情 */
  getMorningMeetingDetail: (params) => {
    return getHttp("/morning_meeting/gather/detail", params, 0);
  },
  /* 晨会精华汇总详情 */
  hetReport_selectionList: (params) => {
    return getHttp("/report_selection/list", params, 0);
  },
  
};