import Vue from "vue";
import App from "./App";
import store from "./store";
import * as Db from "./config/db.js"; //缓存操作
import * as Util from "./config/util.js"; //通用方法
import uView from "uview-ui";
import indexMixin from "./mixin";
import Loading from "./components/loadingAll/loadingAll.vue";
Vue.use(uView);

//请求加载组件

//组件挂载到全局，方便每个页面使用
Vue.component("Loading", Loading);

Vue.config.productionTip = false;
Vue.prototype.$store = store;
Vue.prototype.$db = Db;
Vue.prototype.$util = Util;
Vue.prototype.$global = App.globalData;
App.mpType = "app";
Vue.mixin(indexMixin);
const app = new Vue({
  ...App,
  store,
});
app.$mount();
